public static interface ServletEndpointBuilderFactory.ServletBuilders
| Modifier and Type | Method and Description |
|---|---|
default ServletEndpointBuilderFactory.ServletEndpointBuilder |
servlet(String path)
Servlet (camel-servlet)
Serve HTTP requests by a Servlet.
|
default ServletEndpointBuilderFactory.ServletEndpointBuilder |
servlet(String componentName,
String path)
Servlet (camel-servlet)
Serve HTTP requests by a Servlet.
|
default ServletEndpointBuilderFactory.ServletEndpointBuilder servlet(String path)
servlet:contextPath
Path parameter: contextPath (required)
The context-path to usepath - contextPathdefault ServletEndpointBuilderFactory.ServletEndpointBuilder servlet(String componentName, String path)
servlet:contextPath
Path parameter: contextPath (required)
The context-path to usecomponentName - to use a custom component name for the endpoint
instead of the default namepath - contextPathApache Camel